=== modified file 'configs/development/launchpad-lazr.conf'
--- configs/development/launchpad-lazr.conf	2011-12-09 03:19:05 +0000
+++ configs/development/launchpad-lazr.conf	2011-12-12 06:23:32 +0000
@@ -58,7 +58,6 @@
 authentication_endpoint: http://xmlrpc-private.launchpad.dev:8087/authserver
 codehosting_endpoint: http://xmlrpc-private.launchpad.dev:8087/codehosting
 supermirror_root: http://bazaar.launchpad.dev/
-hosted_branches_root: /var/tmp/bazaar.launchpad.dev/push-branches/
 codebrowse_root: http://bazaar.launchpad.dev/
 secure_codebrowse_root: https://bazaar.launchpad.dev/
 internal_branch_by_id_root: http://bazaar-internal.launchpad.dev/

=== modified file 'configs/testrunner/launchpad-lazr.conf'
--- configs/testrunner/launchpad-lazr.conf	2011-12-09 13:35:37 +0000
+++ configs/testrunner/launchpad-lazr.conf	2011-12-12 06:23:32 +0000
@@ -32,7 +32,6 @@
 
 [codehosting]
 bzr_lp_prefix: lp://dev/
-hosted_branches_root: /tmp/sftp-test/branches
 host_key_pair_path: lib/lp/codehosting/sshserver/tests/keys
 port: tcp:22222:interface=bazaar.launchpad.dev
 error_dir: /var/tmp/codehosting.test

=== modified file 'lib/canonical/config/schema-lazr.conf'
--- lib/canonical/config/schema-lazr.conf	2011-12-08 04:24:29 +0000
+++ lib/canonical/config/schema-lazr.conf	2011-12-12 06:23:32 +0000
@@ -356,11 +356,6 @@
 host_key_pair_path: none
 
 # datatype: string
-# The directory where the 'push' copy of hosted branches are stored. Also
-# called the 'hosted area'.
-hosted_branches_root: none
-
-# datatype: string
 # The directory where the mirrored copy of all branches are stored. Also
 # called the 'mirrored area'.
 mirrored_branches_root: /var/tmp/bazaar.launchpad.dev/mirrors

=== modified file 'lib/lp/codehosting/puller/tests/__init__.py'
--- lib/lp/codehosting/puller/tests/__init__.py	2011-10-28 02:51:42 +0000
+++ lib/lp/codehosting/puller/tests/__init__.py	2011-12-12 06:23:32 +0000
@@ -102,18 +102,6 @@
         super(PullerBranchTestCase, self).setUp()
         self.disable_directory_isolation()
 
-    def getHostedPath(self, branch):
-        """Return the path of 'branch' in the upload area."""
-        return os.path.join(
-            config.codehosting.hosted_branches_root,
-            branch_id_to_path(branch.id))
-
-    def getMirroredPath(self, branch):
-        """Return the path of 'branch' in the supermirror area."""
-        return os.path.join(
-            config.codehosting.mirrored_branches_root,
-            branch_id_to_path(branch.id))
-
     def makeCleanDirectory(self, path):
         """Guarantee an empty branch upload area."""
         if os.path.exists(path):
@@ -121,21 +109,6 @@
         os.makedirs(path)
         self.addCleanup(shutil.rmtree, path)
 
-    def pushToBranch(self, branch, tree):
-        """Push a Bazaar branch to a given Launchpad branch's hosted area.
-
-        Use this to test mirroring a hosted branch.
-
-        :param branch: A Launchpad Branch object.
-        """
-        hosted_path = self.getHostedPath(branch)
-        out, err = self.run_bzr(
-            ['push', '--create-prefix', '-d',
-             urlutils.local_path_from_url(tree.branch.base), hosted_path],
-            retcode=None)
-        # We want to be sure that a new branch was indeed created.
-        self.assertEqual("Created new branch.\n", err)
-
     def serveOverHTTP(self):
         """Serve the current directory over HTTP, returning the server URL."""
         http_server = FixedHttpServer()

=== modified file 'lib/lp/codehosting/tests/helpers.py'
--- lib/lp/codehosting/tests/helpers.py	2010-10-30 23:27:50 +0000
+++ lib/lp/codehosting/tests/helpers.py	2011-12-12 06:23:32 +0000
@@ -160,7 +160,7 @@
         "Can only create branches for HOSTED branches: %r"
         % db_branch)
     branch_dir = os.path.join(
-        config.codehosting.hosted_branches_root,
+        config.codehosting.mirrored_branches_root,
         branch_id_to_path(db_branch.id))
     return create_branch_with_one_revision(branch_dir)
 

=== modified file 'lib/lp/codehosting/tests/servers.py'
--- lib/lp/codehosting/tests/servers.py	2010-10-21 04:19:36 +0000
+++ lib/lp/codehosting/tests/servers.py	2011-12-12 06:23:32 +0000
@@ -58,10 +58,8 @@
 
 class CodeHostingTac(TacTestSetup):
 
-    def __init__(self, hosted_area, mirrored_area):
+    def __init__(self, mirrored_area):
         super(CodeHostingTac, self).__init__()
-        # The hosted area.
-        self._hosted_root = hosted_area
         # The mirrored area.
         self._mirror_root = mirrored_area
         # Where the pidfile, logfile etc will go.
@@ -69,9 +67,6 @@
 
     def clear(self):
         """Clear the branch areas."""
-        if os.path.isdir(self._hosted_root):
-            shutil.rmtree(self._hosted_root)
-        os.makedirs(self._hosted_root, 0700)
         if os.path.isdir(self._mirror_root):
             shutil.rmtree(self._mirror_root)
         os.makedirs(self._mirror_root, 0700)
@@ -80,7 +75,6 @@
         self.clear()
 
     def tearDownRoot(self):
-        shutil.rmtree(self._hosted_root)
         shutil.rmtree(self._server_root)
 
     @property

=== modified file 'lib/lp/codehosting/tests/test_acceptance.py'
--- lib/lp/codehosting/tests/test_acceptance.py	2011-09-02 16:07:17 +0000
+++ lib/lp/codehosting/tests/test_acceptance.py	2011-12-12 06:23:32 +0000
@@ -143,7 +143,6 @@
     def getTacHandler(cls):
         if cls._tac_handler is None:
             cls._tac_handler = CodeHostingTac(
-                config.codehosting.hosted_branches_root,
                 config.codehosting.mirrored_branches_root)
         return cls._tac_handler
 

=== modified file 'utilities/get-branch-info'
--- utilities/get-branch-info	2010-04-27 19:48:39 +0000
+++ utilities/get-branch-info	2011-12-12 06:23:32 +0000
@@ -42,10 +42,6 @@
     if branch.url is not None:
         print 'External URL:', branch.url
     branch_path = branch_id_to_path(branch.id)
-    if branch.branch_type == BranchType.HOSTED:
-        hosted_path = join(
-            config.codehosting.hosted_branches_root, branch_path)
-        print 'Hosted copy:',  hosted_path
     mirrored_path = join(
         config.codehosting.mirrored_branches_root, branch_path)
     print 'Mirrored copy:', mirrored_path

=== modified file 'utilities/make-dummy-hosted-branches'
--- utilities/make-dummy-hosted-branches	2010-04-27 19:48:39 +0000
+++ utilities/make-dummy-hosted-branches	2011-12-12 06:23:32 +0000
@@ -39,8 +39,8 @@
 
 def main(argv):
     os.environ['BZR_HOME'] = tempfile.mkdtemp()
-    if os.path.exists(config.codehosting.hosted_branches_root):
-        shutil.rmtree(config.codehosting.hosted_branches_root)
+    if os.path.exists(config.codehosting.mirrored_branches_root):
+        shutil.rmtree(config.codehosting.mirrored_branches_root)
     execute_zcml_for_scripts()
     try:
         branches = Branch.select(

